# Few utility classes for emulating a Traffic/Transit object.

class Transit(object):
	def __init__(self):
		self.polarity = True
		self.link = None
		self.terminated = False
		self.resource = None
		self.mevents = ()
		self.mtransfer = None

	def transfer(self):
		return self.mtransfer

	def events(self):
		return self.mevents

	def acquire(self, res):
		self.resource = res
		return self

	def failure(self):
		return self.mfailure

class Traffic(object):
	def __init__(self):
		self.terminated = False
		self.xfer = []

	def terminate(self):
		self.terminated = True

	def transfer(self):
		return iter(self.xfer)

	def acquire(self, transit):
		self.xfer.append(transit)

	def __enter__(self):
		pass

	def __exit__(self, *args):
		self.xfer = None
